Subject: RE: [mobile-ip] Suggested revisions to HMIPv6

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 19 Mar 2001 23:35:56 +0100

After our private discussion today and after reading Claude's
	response I'd like to add some comments. I basically 
	agree with all of Claude's comments but will address 
	the points he left.

> - MAP advertisements should not have preference values.
>   The use of preferences is very fragile in any sort of
>   dynamic situation such as is described within the HMIP
>   draft.
> 
	=> The preference is the same as the HA preference. 
	I don't see why that is fragile.

> - Using router renumbering for establishing MAP discovery
>   techniques is highly speculative.  Creating a new message
>   type greatly diminishes the claim of re-use of existing protocols.
> 
	=> Creating a new ICMP type, certainly means that the same
	protocol is being reused (ICMP). Why is RR highly speculative ?

> - The 'T' bit for the Neighbor Discovery extension is either
>   confusing, or should be eliminated (or both).
> 
	=> We can clarify that.

> - In section 7, the HA should not be tunneling things to
>   the mobile node's site-local address.
> 
	=> MIPv6 (rev 13) says it SHOULD. If you remove
	it from the base draft then it can e removed from this one.

> - Contrary to the statement in section 13.1, there are
>   benefits to having multiple "levels" of care-of address
>   locality.
> 
	=> I guess we discussed this for a while. Basically 
	as you know we haven't seen any clear resons but 
	let's see what others in the WG think.

> - There should be a very clear statement, perhaps in an
>   appendix, about exactly which parts of the protocol
>   specification are covered by Ericsson patents.
> 
	=> No, the current statement is enough. I don't 
	think you really mean that given your statement
	in the Reg forwarding draft.
	We're compliant with section 10 of 2026 and that's
	all that needs to be said. Even if we wanted 
	to, we don't know what exactly will be covered. 

	Regards,
	Hesham